<?php

/**
 * Description of newPHPClass
 *
 * @author Christoph
 */
class cView {

    private $a_array;
    private $a_names;
    private $a_excluded;
    private $db_object;

    /**
     * Erzeugt eine neue Instanz des cDBForm-objekts
     *
     * @param mysqli $o_db mysqli Objekt
     * @param string $tablename Name der Tabelle
     *
     * @return none
     */
    function __construct($o_db, $tablename) {
        $this->o_db = $o_db;
        $this->tablename = $tablename;
        $this->db_object = new cDB($o_db, $tablename);
    }

    /**
     * Ldt die entsprechenden Daten aus der Datenbank, dabei werden auch die Einschrnkungen mglicher Filter bercksichtigt
     */
    function load_data() {
        $this->a_array = $this->db_object->Select('{"b2d":true}');
        if (empty($this->a_array))
        {
            return false;
        }
        return $this;
    }

    /**
     * Setzt das Datenarray
     * @param array $array Das array mit den Daten
     */
    function set_data($array) {
        $this->a_array = $array;
        return $this;
    }

    /**
     * ndert die Namen der Keys im array
     * @param array $a_names Key = Key im Array; Value = Ausgabename falls key
     * @return $this
     */
    function rename($a_names) {
        $this->a_names = $a_names;
        return $this;
    }

    /**
     * Schliet bestimmte keys aus
     * @param array $a_forbidden Values = keys die nicht ausgegeben werden sollen
     * @return $this
     */
    function exclude($a_excluded) {
        $this->a_excluded = $a_excluded;
        return $this;
    }

    /**
     * Gibt das zweidimensionale Array der Klasse als Tabelle aus
     *
     * @param none
     * @return none
     */
    function print_table() {
        echo '<table><thead><tr>';
        foreach ($this->a_array[0] as $key => $value) {
            if (in_array($key, $this->a_excluded))
            {
                continue;
            }
            echo '<td class="tablehead">';
            if (isset($this->a_names[$key]))
            {
                echo $this->a_names[$key];
            }
            else
            {
                echo ucfirst($key);
            }
            echo '</td>';
        }
        echo '</tr></thead><tbody>';
        foreach ($this->a_array as $array) {
            echo '<tr>';
            foreach ($array as $key => $value) {
                if (in_array($key, $this->a_excluded))
                {
                    continue;
                }
                echo '<td>' . $value . '</td>';
            }
            echo '</tr>';
        }
        echo '<tbody></table>';
    }

    /**
     * Gibt ein eindimensionales Array als Liste aus
     * 
     * @param string $id HTML ID
     * @param string $class HTML Klasse
     */
    function print_list($id = '', $class = '') {
        echo '<ul id="' . $is . '" class="' . $class . '">';
        foreach ($this->a_array as $s_item) {
            echo '<li>' . $s_item . '</li>';
        }
        echo '</ul>';
    }

    /**
     * Grupiert die keys eines zweidiemensionales array nach einem array key
     *
     * @param string $key Name des Keys nach dem sortiert werden soll
     */
    function group($s_key) {
        $a_grouped = array();
        $this->make_2d();
        foreach ($this->a_array as $key => $a_value) {
            if (isset($a_grouped[$a_value[$s_key]]))
            {
                $a_grouped[$a_value[$s_key]][] = $key;
            }
            else
            {
                $a_grouped[$a_value[$s_key]] = array($key);
            }
        }
        return $a_grouped;
    }

    function make_2d(){
        if (count($this->a_array) == count($this->a_array,1))
        {
            $this->a_array = array($this->a_array);
        }
    }

}

?>
