<?php
/**
 * @author Christoph Staudt
 * @copyright 2011
 */
try {
    /**
     * Variablen
     */
    $data = array();
    require_once('functions.php');
    // Setzt allle Konstanten, das mysqli objekt, prft session und globals
    include 'config.php';

    //highlight_file('cDB.php');
    //Wichtige Dateien includen
    require_once CLASS_PATH . 'cDB.php';
    include CLASS_PATH . 'cForm.php';
    include CLASS_PATH . 'cUser.php';


    $user = new cUser($o_db);
    $user->checkUser();

    //Skript Datei includen
    include 'includes/filelist.php';

    if (isset($data['template']) === true and is_string($data['template']))
    {
        // Gltige Include-Datei
        if (!file_exists($file = 'templates/' . $data['template']))
        {
            throw new Exception('Templatedatei "' . $file . '" ist nicht vorhanden.', 1);
        }
    }
    else
    {
        throw new Exception('Ungltige Rckgabe', 1);
    }
?>
    <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
    <html xmlns="http://www.w3.org/1999/xhtml" xml:lang="de" lang="de">
        <head>
            <title></title>
            <meta name="description" content="<?php echo TITLE ?>" />
            <meta name="author" content="<?php echo AUTHOR ?>" />
            <meta name="keywords" content="<?php KEYWORDS ?>" />
            <meta http-equiv="content-type" content="text/html; charset=ISO-8859-1" />

            <!-- CSS -->
            <link rel="stylesheet" type="text/css" href="layout.css" media="screen" />

            <!--javascript -->
            <script type="text/javascript">

            </script>
            
        </head>
        <body>
            <div class="description" id="description" style="position:absolute; top:5px; left:5px;"></div>
            <div id="frame">
                <div id="header">
                    <h1>Filesharing</h1>
                </div>

                <div id="main">
                    <!--<div id="left">
                    </div> -->
                    <!-- Content -->
                    <div id="content">
                        <div class="toload">
                        <?php
                        //Meldungen ausgeben
                        if (isset($_SESSION['info']))
                        {
                            info($_SESSION['info']);
                            unset($_SESSION['info']);
                        }
                        if (isset($_SESSION['error']))
                        {
                            echo '<p class="error">' . $_SESSION['error'] . '</p>';
                            unset($_SESSION['error']);
                        }
                        if (isset($_SESSION['errors']))
                        {
                            foreach ($_SESSION['errors'] as $error) {
                                echo '<p class="error">' . $error . '</p>';
                            }
                        }
                        unset($_SESSION['errors']);
                        ?>

                    </div>
                    <?php include $file; ?>
                    </div>
                    <!-- Ende Content -->
                </div>
                <!-- Ende main -->
                <!-- Footer -->
                <div id="footer">
                    <?php                                            if (isset($_GET['action']) && $_GET['action'] == 'edit'){ ?>
                    <a href="index.php">Wieder zurck zur Ordnerbersicht</a>

                                            <?php } else { ?>                                                                                            
                    <a href="index.php?action=edit">Eine Datei hochladen / Einen neuen Ordner anlegen</a>
                                            <?php } ?>
                </div>
                <!-- Ende footer -->

            </div>
            <!-- Ende frame -->
        </body>
    </html>

<?php
                    }
                    catch (Exception $error) {
                        switch ($error->getCode()) {
                            case 0:
                                echo '<p class="error">Fehler: "' . htmlentities($error->getMessage()) . '" im Dokument: ' . $error->getFile() . ' Zeile: ' .
                                    $error->getLine() . ' Trace:' . $error->getTraceAsString() . '</p>';
                                break;
                            case 1:
                                echo '<p class="error">' . htmlentities($error->getMessage()) . '</p>';
                                break;
                            default:
                                die('Bitte geben Sie einen Fehlercode an.');
                        } // switch
                    }
?>